diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 5c36a68..34adb0a 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -131600,7 +131600,8 @@ RationalFunctionSum(R): Exports == Impl where
 
       sum(f:RF, s:SegmentBinding RF) ==
         (indef := innersum(f, v := variable s)) case "failed" =>
-          summation(f::FE,map(#1::FE,s)$SegmentBindingFunctions2(RF,FE))
+          summation(f::FE,map((z:RF):FE +->z::FE,s)
+            $SegmentBindingFunctions2(RF,FE))
         eval(indef::RF, v, 1 + hi segment s)
           - eval(indef::RF, v,lo segment s)
 
diff --git a/changelog b/changelog
index 5510849..fd51960 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090620 tpd src/axiom-website/patches.html 20090620.01.tpd.patch
+20090620 tpd books/bookvol10.4 SUMRF +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.10.tpd.patch
 20090619 tpd books/bookvol10.4 LIMITRF +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.09.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index da072c6..a5c38a8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1599,5 +1599,7 @@ bookvol10.4 RFFACT +-> conversion<br/>
 bookvol10.4 INTRF +-> conversion<br/>
 <a href="patches/20090619.10.tpd.patch">20090619.10.tpd.patch</a>
 bookvol10.4 LIMITRF +-> conversion<br/>
+<a href="patches/20090620.01.tpd.patch">20090620.01.tpd.patch</a>
+bookvol10.4 SUMRF +-> conversion<br/>
  </body>
 </html>
